ListedIntegration
Interface: ListedIntegration
Defined in: v1/types/integrations.ts:82
An integration available for a project, as returned by the list endpoint.
- GET
/v1/projects/:project_id/integrations
See
https://docs.top.gg/api/v1/project-integrations#get-projectsproject_idintegrations
Properties
connected
connected:
boolean
Defined in: v1/types/integrations.ts:102
Whether the integration is currently connected to the project.
description
description:
string
Defined in: v1/types/integrations.ts:94
Short description of what the integration does.
icon_url
icon_url:
string
Defined in: v1/types/integrations.ts:98
URL of the integration’s icon.
id
id:
string
Defined in: v1/types/integrations.ts:86
The integration’s unique identifier.
name
name:
string
Defined in: v1/types/integrations.ts:90
The integration’s display name.